Home
About
Join Today
Join Today
  • Sign Up
  • Sign In
Conatct Us
Home
About
Join Today
Join Today
  • Sign Up
  • Sign In
Conatct Us
  1. Bill Payment
  • Introduction
  • Getting Started
  • Authentication
  • HTTPS Status Codes
  • Rate Limits
  • Callbacks
    • Recharge Callback
  • NSDL Account Opening
    • BC Agent Onboarding
      POST
    • Create Account
      POST
    • Account Status
      GET
  • Recharge
    • Operator List
      GET
    • HLR Check
      POST
    • DTH Info
      POST
    • Browse Plans
      POST
    • Initiate Recharge
      POST
    • Check Status
      GET
  • Bill Payment
    • Biller List
      POST
    • Fetch Bill
      POST
    • Bill Pay
      POST
  • Verification Suite
    • Digilocker
      • Initiate
      • Check Status
      • Download Aadhaar
    • Aadhaar
      • Send OTP
      • Verify OTP
    • UPI Verification
      POST
    • Bank Verification
      POST
    • PAN Verification
      POST
    • GSTIN Verification
      POST
  • Comunications API
    • Send SMS OTP
    • Send Whatsapp OTP
  1. Bill Payment

Fetch Bill

POST
/api/v1/bill-payment/fetch-bill

Fetch Bill Details API#

Fetch customer bill information before payment using consumer details required by the selected biller.
The API validates customer inputs and returns bill amount, due date, and customer name for confirmation before payment.

Request

Header Params

Body Params application/json

Example
{
    "operator_id": 11,
    "canumber": "7366968629",
    "mode": "online",
    "ad1": null,
    "ad2": null
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/bill-payment/fetch-bill' \
--header 'x-client-id: {{client_id}}' \
--header 'x-client-secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "operator_id": 11,
    "canumber": "7366968629",
    "mode": "online",
    "ad1": null,
    "ad2": null
}'

Responses

🔴503Service Unavailable
application/json
Body

Example
{
    "response_code": 503,
    "status": "failed",
    "message": "Biller is not accepting payments right now. Please try again later.",
    "data": [],
    "meta": {
        "request_id": "a36f1286-3193-4768-9593-45a7d2b4bf99",
        "time": "2026-03-04T09:16:37+05:30"
    }
}
🟠401Unauthorized
Previous
Biller List
Next
Bill Pay
Built with